<html>
<head>
<title>OGRE: OgreTagPoint.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreTagPoint.h</h1><a href="OgreTagPoint_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __TagPoint_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __TagPoint_H_</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreBone_8h.html">OgreBone.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>"</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre  {
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00040"></a>00040     
<a name="l00055"></a><a class="code" href="classOgre_1_1TagPoint.html">00055</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific...">TagPoint</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Bone.html" title="A bone in a skeleton.">Bone</a>
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057 
<a name="l00058"></a>00058     <span class="keyword">public</span>:
<a name="l00059"></a>00059         <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific...">TagPoint</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> handle, <a class="code" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a>* creator);
<a name="l00060"></a>00060         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific...">TagPoint</a>();
<a name="l00061"></a>00061 
<a name="l00062"></a>00062         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *getParentEntity(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00063"></a>00063         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* getChildObject(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00064"></a>00064         
<a name="l00065"></a>00065         <span class="keywordtype">void</span> setParentEntity(<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *pEntity);
<a name="l00066"></a>00066         <span class="keywordtype">void</span> setChildObject(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> *pObject);
<a name="l00067"></a>00067 
<a name="l00072"></a>00072         <span class="keywordtype">void</span> setInheritParentEntityOrientation(<span class="keywordtype">bool</span> inherit);
<a name="l00073"></a>00073 
<a name="l00076"></a>00076         <span class="keywordtype">bool</span> getInheritParentEntityOrientation(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00077"></a>00077 
<a name="l00082"></a>00082         <span class="keywordtype">void</span> setInheritParentEntityScale(<span class="keywordtype">bool</span> inherit);
<a name="l00083"></a>00083 
<a name="l00086"></a>00086         <span class="keywordtype">bool</span> getInheritParentEntityScale(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00087"></a>00087 
<a name="l00089"></a>00089         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; getParentEntityTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00090"></a>00090 
<a name="l00092"></a>00092         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; _getFullLocalTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00093"></a>00093 
<a name="l00095"></a>00095         <span class="keywordtype">void</span> needUpdate(<span class="keywordtype">bool</span> forceParentUpdate = <span class="keyword">false</span>);
<a name="l00096"></a>00096 
<a name="l00098"></a>00098         <span class="keywordtype">void</span> updateFromParentImpl(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00100"></a>00100         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a>&amp; getLights(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00101"></a>00101 
<a name="l00102"></a>00102 
<a name="l00103"></a>00103 
<a name="l00104"></a>00104     <span class="keyword">private</span>:
<a name="l00105"></a><a class="code" href="classOgre_1_1TagPoint.html#1878da6b427fe86fab13c57e8dfe02bd">00105</a>         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *mParentEntity;
<a name="l00106"></a><a class="code" href="classOgre_1_1TagPoint.html#3fe839125eff3d7e81d6eb7f245b5bca">00106</a>         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> *mChildObject;
<a name="l00107"></a><a class="code" href="classOgre_1_1TagPoint.html#29730d1867f1eee1a1f1e7424c1c2291">00107</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> mFullLocalTransform;
<a name="l00108"></a><a class="code" href="classOgre_1_1TagPoint.html#90918eb7b45f9a4e1c22a6aae72932ae">00108</a>         <span class="keywordtype">bool</span> mInheritParentEntityOrientation;
<a name="l00109"></a><a class="code" href="classOgre_1_1TagPoint.html#407a4cc207cd22497d390ea0e56d5f18">00109</a>         <span class="keywordtype">bool</span> mInheritParentEntityScale;
<a name="l00110"></a>00110     };
<a name="l00111"></a>00111 
<a name="l00112"></a>00112 
<a name="l00113"></a>00113 } <span class="comment">//namespace</span>
<a name="l00114"></a>00114 
<a name="l00115"></a>00115 
<a name="l00116"></a>00116 <span class="preprocessor">#endif//__TagPoint_H_</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
